--- title: "Get schema registry settings" slug: "datastream-getregistryconfig" updated: 2026-09-17T09:47:59Z published: 2026-09-17T09:47:59Z canonical: "api.ncloud-docs.com/datastream-getregistryconfig" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # Get schema registry settings Available in VPC Get the compatibility setting status of topic's schema registry. Note You can check the schema's compatibility settings and verify whether the schema exists. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET | /api/v1/topics/{topicId}/registry-config | ### Request headers For information about the headers common to all Data Stream APIs, see [Data Stream request headers](/docs/en/datastream-overview#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request path parameters You can use the following path parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `topicId` | String | Required | Topic ID - See [Get topic list](/docs/en/datastream-gettopic). | ### Request example The request example is as follows: ``` curl --location --request GET 'https://datastream.apigw.ntruss.com/api/v1/topics/mgNWA*****/registry-config' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `compatibility` | Object | - | Schema compatibility information | | `compatibility.compatibilityLevel` | Boolean | - | Schema compatibility activation - `true`: Enable compatibility check (BACKWARD). - `false`: Disable compatibility check (NONE). | | `compatibility.isSchemaExist` | Boolean | - | Schema existence | ### Response status codes For information about the HTTP status codes common to all Data Stream APIs, see [Data Stream response status codes](/docs/en/datastream-overview#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "compatibility": { "compatibilityLevel": true, "isSchemaExist": true } } ```